Package weka.gui.visualize.plugins

# Interface VisualizePlugin

public interface VisualizePlugin
Interface implemented by classes loaded dynamically to visualize classifier results in the explorer.

Version:
  $Revision: 1.1 $
Author:
  Jeffery Grajkowski (grajkows@cs.ualberta.ca)

## Method Summary

Modifier and Type
Method
Description
`String`
`getDesignVersion()`
Get the specific version of Weka the class is designed for.
`String`
`getMaxVersion()`
Get the maximum version of Weka, exclusive, the class is designed to work with.
`String`
`getMinVersion()`
Get the minimum version of Weka, inclusive, the class is designed to work with.
`JMenuItem`
`getVisualizeMenuItem(FastVector preds, Attribute classAtt)`
Get a JMenu or JMenuItem which contain action listeners that perform the visualization, using some but not necessarily all of the data.

## Method Details

### getVisualizeMenuItem

JMenuItem getVisualizeMenuItem(FastVector preds, Attribute classAtt)
Get a JMenu or JMenuItem which contain action listeners that perform the visualization, using some but not necessarily all of the data. Exceptions thrown because of changes in Weka since compilation need to be caught by the implementer.

Parameters:
  `preds` - predictions
  `classAtt` - class attribute
Returns:
  menuitem for opening visualization(s), or null to indicate no visualization is applicable for the input
See Also:
  - `NoClassDefFoundError`
  - `IncompatibleClassChangeError`

### getMinVersion

String getMinVersion()
Get the minimum version of Weka, inclusive, the class is designed to work with. eg: `3.5.0`

### getMaxVersion

String getMaxVersion()
Get the maximum version of Weka, exclusive, the class is designed to work with. eg: `3.6.0`

### getDesignVersion

String getDesignVersion()
Get the specific version of Weka the class is designed for. eg: `3.5.1`